Skip to content

# `` sparql_query_example

SPARQL Query using `Graph.query`

The method returns a `Result`, iterating over this yields `ResultRow` objects

The variable bindings can be accessed as attributes of the row objects For variable names that are not valid python identifiers, dict access (i.e. with `row[var] / __getitem__`) is also possible.

`Result.vars` contains the variables

Attributes:

- `EXAMPLES_DIR` –
- `g` –

## `` EXAMPLES_DIR `module-attribute`

    EXAMPLES_DIR = parent

## `` g `module-attribute`

    g = Graph()